package paracross

import (
	"gitlab.33.cn/link33/sidecar/model/pb"
	"gitlab.33.cn/link33/sidecar/pkg/plugins"
)

func (p *Paracross) Bind(kern plugins.Kernel) {
	// TODO implement me
	panic("not implement me")
}

func (p *Paracross) RollbackIBTP(ibtp *pb.IBTP, isSrcChain bool) (*pb.RollbackIBTPResponse, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) IncreaseInMeta(ibtp *pb.IBTP) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetOutMessage(to string, idx uint64) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetInMessage(from string, idx uint64) ([][]byte, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetInMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetOutMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetCallbackMeta() (map[string]uint64, error) {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) CommitCallback(ibtp *pb.IBTP) error {
	// TODO implement me
	panic("implement me")
}

func (p *Paracross) GetReceipt(ibtp *pb.IBTP) (*pb.IBTP, error) {
	// TODO implement me
	panic("implement me")
}
